BIGGEST COUPON OF THE YEAR: 17% off qualifying orders of $99+Shop Now
  • Shop by Category
  • Hot Deals
  • Looking for Coupons? Call us

Mac OS compatibility

OS X 10.11 El Capitan Compatibility Notice (10/14/15)

On September 30, 2015 Apple released its latest operating system, OS X 10.11 El Capitan. As with all major operating system updates, it is vital to check the compatibility of your hardware and software before upgrading your system to avoid any foreseen issues you may experience with this new update.

For new computer owners, it’s highly advised to check with manufacturers on when they expect their products to be fully compatible with the latest operating system so you can make informed buying decisions and avoid any complications with your system.

Here is a list of known compatibility issues from some of the manufacturers we work with. We will do our best to keep you informed on fixes to these known issues as well as any other vendor compatibility problems that may arise. For more information, please contact us at 877-687-5403.


Ableton

Ableton has notified us that the latest version of Live, 9.2.2 is compatible with OS X 10.11 El Capitan.

NOTE: For those using third party software or hardware in conjunction with Live, it is imperative to check with each manufacturer to make sure that there are no known issues with upgrading to OSX 10.11.

Regarding Live 8, a legacy version, no testing or updates have been performed with Live 8.4.2 or earlier. While it is possible that it may run, Live 8 is not officially supported on OS X 10.11.


Avid

Avid does not support El Capitan at this time. Pro Tools will be tested and certified when the final version of El Capitan is released from Apple.

Updates will be posted here when available.

http://avid.force.com/pkb/articles/compatibility/Pro-Tools-12-System-Requirements
http://avid.force.com/pkb/articles/compatibility/Pro-Tools-HD-12-System-Requirements


Arturia

Arturia has notified us that this update may affect operations of virtual instruments when in Audio Unit or standalone mode. For this reason, if you want to make sure your Arturia software keeps working properly, it’s recommended that you postpone the update of Mac OS to "El Capitan" until Apple resolves these compatibility issues.


Elektron

The new version of OS X, El Capitan, does not currently support Overbridge. The team at Elektron is currently working on bringing out an Overbridge update with El Capitan compatibility as soon as possible.


FXpansion Audio

FXpansion Audio is pleased to announce that its products are compatible with the recently released Apple Mac OSX 10.11 ("El Capitan") operating system.

However, please note that, at this time, FXpansion plug-ins cannot be used within sandboxed audio applications. Users with Gatekeeper enabled may proceed as follows to install FXpansion software under 10.11:

  • Hold down the Control key.
  • Click on the installer package of the installer you wish to open. A menu will appear near the cursor.
  • Select "Open" from the menu that appears. A new dialog box will appear.
  • Select "Open anyway" from the dialog box. This will allow you to proceed with installation regardless of Gatekeeper settings.

Users can disable Gatekeeper in System Preferences/Security & Privacy settings but should be aware that lowering the security level such that unsigned applications can be installed without signature checking increases the risk of inadvertently installing and running software that may harm the system or compromise the safety of your data.


IK Multimedia

At this time, IK Multimedia is NOT announcing compatibility with OS X 10.11 El Capitan. Please check for updates before upgrading your system if you’re using IK Multimedia products.


Image-Line

At this time, Image-Line does not guarantee OS X VST plugin compatibility with OS X 10.11 El Capitan. They are working to resolve issues ASAP and will update us when they are resolved. The following products are affected: Drumaxx, Groove Machine, Hardcore, Minihost Modular, Morphine, Poizone, Sakura, Sawer, and Toxic Biohazard.

For more information visit - http://www.image-line.com/support/


iZotope

At this time, iZotope strongly recommends that customers using iZotope products postpone upgrading to OS X 10.11 El Capitan.

iZotope’s engineering teams are actibely testing and qualifying the final release version of El Capitan, and are working to address known issues. For more details on known issues, and to stay tuned to updates on iZotope product compatibility, please, please refer to:

https://www.izotope.com/en/community/blog/product-news/2015/09/el-capitan-compatibility/?&utm_medium=Email&utm_source=Mailchimp&utm_campaign=2015-10+El+Capitan+Notification


Music Marketing / Xchange

Being that Music Marketing / Xchange provides software bundles consisting of a range of products from a variety of companies, it’s advised that customers should refrain from upgrading to El Capitan for the time being until most of these issues have been resolved.


Native Instruments

Before upgrading to the latest version of Mac OS X – version 10.11 El Capitan, please consider these potentially serious issues concerning your KOMPLETE, TRAKTOR, and MASCHINE products. Two major issues have been identified:

1. Validation of AU (Audio Units) Plug-ins Fails in Logic Pro X
Please download and install the OS X 10.11.1 update by clicking on the Apple symbol in your Desktop and choosing Software Updates... This update fixes an issue whereby Native Instruments Audio Units plug-ins will not pass the AU validation and therefore will not be available in Logic Pro X.Note: If your AU plug-ins do not appear in Logic Pro X after updating to OS X 10.11.1, please rescan your plug-in folders.

2. Incompatibility with some older NI hardware
There are compatibility issues between some older NI devices and Apple’s upcoming operating system. This issue triggers a 'kernel panic' – this serious problem will crash the connected computer immediately, resulting in loss of any unsaved work, or serious disruption of a performance.

The following hardware is affected:

TRAKTOR KONTROL S4 (MK1)
TRAKTOR KONTROL X1 (MK1)
TRAKTOR AUDIO 2 (MK1)
AUDIO 8 DJ
AUDIO 4 DJ
AUDIO 2 DJ (MK1)
MASCHINE (MK1)
GUITAR RIG 3 (RIG KONTROL 3 hardware)

There are beta drivers already available that fix this issue. You can download the beta driver for your corresponding device from Native Instruments here:
http://www.native-instruments.com/en/support/downloads/drivers-other-files/


Propellerhead / Reason

Propellerhead has notified us that Reason 8, Reason Essentials 8 and the Balance audio interface have returned no problems under Mac OS X 10.11 El Capitan.


Presonus

PreSonus has announced that there are no known compatibility issues with Studio One and Notion on OSX 10.11 El Capitan at this time.


Steven Slate

At this time Steven Slate recognizes the following products that are compatible with OS X 10.11 El Capitan, and those that are currently incompatible.

Compatible Products
Slate Digital FG-X
Slate Digital VCC
Slate Digital VTM
Slate Digital VBC

Currently Incompatible
Slate Digital Virtual Mix Rack (VMR)
Yellow Matter Trigger Platinum
Yellow Matter Trigger EX
Yellow Matter SSD 4 Platinum
Yellow Matter SSD 4 EX


Ultramixer

Ultramixer just released version 5.0.3, which adds compatibility with OS X 10.11 El Capitan.


UVI

UVI has announced that all their products are fully supported on OS X 10.11 El Capitan. The only identified issue is that many plug-ins on the market are experiencing trouble with the AU Validation Tool within Logic Pro X and Main Stage. However, UVI has issued a workaround in case you are having trouble with plug-in validation.

Please follow this link for further instructions:
http://www.uvi.net/en/content/124-faq#osx_compatibility


XLN Audio

Currently XLN Audio advises customers not to immediately upgrade to OS X 10.11 El Capitan until they have had a chance to thoroughly test the new “released” version.

Ship To: US Flag
You are changing the Ship-To country.

Our product catalog varies by country due to manufacturer restrictions. If you change the Ship-To country, some or all of the items in your cart may not ship to the new destination.